/**
 *  one room arena
 *  Copyright (C) 2016 POSITIVE MENTAL ATTITUDE
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <SFML/Graphics.hpp>

using namespace sf;

class Menu
{
public:
	Menu();
	~Menu();
	bool isDead() const;
	void revive(bool permakill = false);
	void logic(float delta, const Vector2i mouse, bool& running, bool* keepRunning);
	void render(RenderTarget& target) const;
private:
	bool _dead;
	bool _permakilled;
	/**
	 * Who cares that sf has fonts and texts?
	 * Me neither.
	 */
	std::vector<Sprite*> _menu;
	std::vector<Sprite*> _number;
	Texture _badlyAllocatedBannerTexture;
	Texture _badlyAllocatedPlayTexture;
	Texture _badlyAllocatedQuitTexture;
	Texture _badlyAllocatedGaemoverTexture;
	Texture _badlyAllocatedRetryTexture;
	Texture _badlyAllocatedNumberTexture;
};
